// --atomics 98 ---fake_divergence -g 10,43,19 -l 2,1,1
#define int64_t long
#define uint64_t ulong
#define int_least64_t long
#define uint_least64_t ulong
#define int_fast64_t long
#define uint_fast64_t ulong
#define intmax_t long
#define uintmax_t ulong
#define int32_t int
#define uint32_t uint
#define int16_t short
#define uint16_t ushort
#define int8_t char
#define uint8_t uchar

#define INT64_MIN LONG_MIN
#define INT64_MAX LONG_MAX
#define INT32_MIN INT_MIN
#define INT32_MAX INT_MAX
#define INT16_MIN SHRT_MIN
#define INT16_MAX SHRT_MAX
#define INT8_MIN CHAR_MIN
#define INT8_MAX CHAR_MAX
#define UINT64_MIN ULONG_MIN
#define UINT64_MAX ULONG_MAX
#define UINT32_MIN UINT_MIN
#define UINT32_MAX UINT_MAX
#define UINT16_MIN USHRT_MIN
#define UINT16_MAX USHRT_MAX
#define UINT8_MIN UCHAR_MIN
#define UINT8_MAX UCHAR_MAX

#define transparent_crc(X, Y, Z) transparent_crc_(&crc64_context, X, Y, Z)

#define VECTOR(X , Y) VECTOR_(X, Y)
#define VECTOR_(X, Y) X##Y

#ifndef NO_GROUP_DIVERGENCE
#define GROUP_DIVERGE(x, y) get_group_id(x)
#else
#define GROUP_DIVERGE(x, y) (y)
#endif

#ifndef NO_FAKE_DIVERGENCE
#define FAKE_DIVERGE(x, y, z) (x - y)
#else
#define FAKE_DIVERGE(x, y, z) (z)
#endif


// Seed: 27

#include "CLSmith.h"

/* --- Struct/Union Declarations --- */
struct S0 {
   int64_t  f0;
   int64_t  f1;
   uint32_t  f2;
   volatile int32_t  f3;
   uint64_t  f4;
   uint64_t  f5;
   volatile uint32_t  f6;
   uint8_t  f7;
   int16_t  f8;
};

union U1 {
   int32_t  f0;
   int64_t  f1;
   struct S0  f2;
   volatile int32_t  f3;
};

union U2 {
   volatile uint16_t  f0;
   volatile int32_t  f1;
   volatile int64_t  f2;
   struct S0  f3;
};

union U3 {
   volatile int64_t  f0;
   uint64_t  f1;
   int64_t  f2;
   int64_t  f3;
};

struct S4 {
    uint64_t g_19[9];
    int32_t g_27[9][3];
    int32_t *g_26;
    volatile int32_t g_28;
    int32_t g_29;
    uint64_t g_57;
    int64_t g_71[9][1][7];
    uint8_t g_76;
    struct S0 g_92;
    uint64_t g_110;
    uint16_t g_111;
    union U2 g_114;
    uint16_t g_131;
    volatile int16_t g_134;
    volatile uint32_t g_135;
    int32_t g_147[10];
    int32_t *g_146;
    int32_t **g_155;
    union U1 g_170;
    volatile union U3 g_171[8][4];
    uint32_t g_194[9];
    int64_t *g_198;
    int64_t **g_197[7];
    int64_t *** volatile g_196[5];
    volatile struct S0 g_200;
    uint32_t g_221;
    volatile uint32_t g_237[9][4];
    volatile union U3 g_242;
    int16_t g_254;
    struct S0 g_259;
    uint8_t *g_262;
    uint8_t **g_261;
    uint32_t g_286;
    volatile struct S0 g_292;
    struct S0 g_305;
    struct S0 g_368;
    struct S0 * volatile g_369;
    struct S0 g_373;
    struct S0 g_374;
    int16_t *g_388;
    int16_t **g_387;
    int16_t *** volatile g_386;
    union U2 *g_398;
    int8_t g_671;
    int32_t g_690;
    int32_t *g_689;
    volatile uint8_t g_695;
    uint64_t global_0_offset;
    uint64_t global_1_offset;
    uint64_t global_2_offset;
    uint64_t local_0_offset;
    uint64_t local_1_offset;
    uint64_t local_2_offset;
    uint64_t group_0_offset;
    uint64_t group_1_offset;
    uint64_t group_2_offset;
    __local volatile uint32_t *l_atomic_input;
    __local volatile uint32_t *l_special_values;
    __global volatile uint32_t *g_atomic_input;
    __global volatile uint32_t *g_special_values;
};


/* --- FORWARD DECLARATIONS --- */
int32_t  func_1(struct S4 * p_699);
int32_t * func_2(uint64_t  p_3, int32_t * p_4, int16_t  p_5, int32_t * p_6, struct S4 * p_699);
int32_t * func_8(int32_t * p_9, uint8_t  p_10, struct S4 * p_699);
int32_t * func_11(int32_t * p_12, int64_t  p_13, uint32_t  p_14, int32_t * p_15, int32_t * p_16, struct S4 * p_699);
int32_t * func_17(int64_t  p_18, struct S4 * p_699);
int64_t  func_24(int32_t * p_25, struct S4 * p_699);
struct S0  func_33(uint64_t  p_34, int32_t * p_35, int32_t * p_36, uint32_t  p_37, int64_t  p_38, struct S4 * p_699);
int32_t * func_39(uint16_t  p_40, uint8_t  p_41, struct S4 * p_699);
uint8_t  func_43(int32_t * p_44, int64_t  p_45, uint32_t  p_46, uint32_t  p_47, int32_t * p_48, struct S4 * p_699);
int32_t * func_49(uint8_t  p_50, int64_t  p_51, uint32_t  p_52, int32_t * p_53, int16_t  p_54, struct S4 * p_699);


/* --- FUNCTIONS --- */
/* ------------------------------------------ */
/* 
 * reads : p_699->g_19 p_699->g_26 p_699->g_29 p_699->g_27 p_699->g_28 p_699->g_57 p_699->g_76 p_699->g_92 p_699->g_110 p_699->g_111 p_699->g_131 p_699->g_135 p_699->g_134 p_699->g_155 p_699->g_71 p_699->g_237 p_699->g_262 p_699->g_368 p_699->g_369 p_699->g_194 p_699->g_259.f7 p_699->g_373 p_699->g_146 p_699->g_147 p_699->g_259.f1 p_699->g_170.f0 p_699->g_386 p_699->g_398 p_699->g_170.f2.f0 p_699->g_374.f7 p_699->g_286 p_699->g_114.f3.f7 p_699->g_374.f4 p_699->g_198 p_699->g_261 p_699->g_388 p_699->g_259.f8 p_699->g_689 p_699->g_695 p_699->g_690
 * writes: p_699->g_29 p_699->g_57 p_699->g_26 p_699->g_71 p_699->g_76 p_699->g_28 p_699->g_110 p_699->g_111 p_699->g_114.f3.f4 p_699->g_131 p_699->g_135 p_699->g_146 p_699->g_155 p_699->g_114.f1 p_699->g_368 p_699->g_374 p_699->g_27 p_699->g_170.f0 p_699->g_387 p_699->g_373.f1 p_699->g_170.f2.f0 p_699->g_147 p_699->g_286 p_699->g_114.f3.f7 p_699->g_671 p_699->g_695
 */
int32_t  func_1(struct S4 * p_699)
{ /* block id: 4 */
    uint32_t l_7 = 0x813A3DBCL;
    uint16_t l_393 = 0xDE50L;
    int32_t *l_399 = &p_699->g_147[2];
    int32_t **l_687 = &l_399;
    int32_t l_688[9];
    int32_t **l_698 = &p_699->g_146;
    int i;
    for (i = 0; i < 9; i++)
        l_688[i] = 0x08BB9486L;
    (*l_698) = ((*l_687) = func_2(l_7, ((*l_687) = func_8(func_11(func_17(p_699->g_19[3], p_699), (safe_add_func_int16_t_s_s(l_7, (!0x5E72L))), ((safe_div_func_int32_t_s_s((GROUP_DIVERGE(2, 1) | ((~l_393) > (safe_rshift_func_uint8_t_u_u(((safe_mod_func_uint8_t_u_u(((l_7 | ((void*)0 != p_699->g_398)) & GROUP_DIVERGE(2, 1)), FAKE_DIVERGE(p_699->group_2_offset, get_group_id(2), 10))) , 4UL), (*p_699->g_262))))), p_699->g_373.f8)) ^ (-10L)), &p_699->g_147[2], l_399, p_699), (**p_699->g_261), p_699)), l_688[7], p_699->g_689, p_699));
    return (*p_699->g_689);
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_695
 * writes: p_699->g_695
 */
int32_t * func_2(uint64_t  p_3, int32_t * p_4, int16_t  p_5, int32_t * p_6, struct S4 * p_699)
{ /* block id: 421 */
    uint32_t l_691 = 0xDCDE75AAL;
    int32_t *l_694[2][4][7] = {{{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690}},{{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690},{&p_699->g_170.f0,&p_699->g_29,&p_699->g_29,&p_699->g_170.f0,&p_699->g_690,&p_699->g_690,&p_699->g_690}}};
    int i, j, k;
    --l_691;
    --p_699->g_695;
    return &p_699->g_147[5];
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_76 p_699->g_92.f1 p_699->g_286 p_699->g_111 p_699->g_388 p_699->g_259.f8 p_699->g_261 p_699->g_262 p_699->g_92.f7 p_699->g_146 p_699->g_29 p_699->g_147
 * writes: p_699->g_76 p_699->g_671 p_699->g_286 p_699->g_111 p_699->g_29 p_699->g_147
 */
int32_t * func_8(int32_t * p_9, uint8_t  p_10, struct S4 * p_699)
{ /* block id: 410 */
    uint32_t l_686 = 4294967292UL;
    for (p_699->g_76 = 11; (p_699->g_76 <= 1); p_699->g_76--)
    { /* block id: 413 */
        int8_t *l_670[6];
        int16_t *l_676 = &p_699->g_305.f8;
        uint32_t *l_677 = &p_699->g_286;
        uint16_t *l_684 = (void*)0;
        uint16_t *l_685 = &p_699->g_111;
        int i;
        for (i = 0; i < 6; i++)
            l_670[i] = &p_699->g_671;
        (*p_699->g_146) &= (safe_mod_func_int8_t_s_s((safe_div_func_uint32_t_u_u(((~(safe_mul_func_int8_t_s_s((p_699->g_671 = (p_699->g_92.f1 > p_10)), ((safe_div_func_int8_t_s_s(((safe_sub_func_int32_t_s_s((((void*)0 != l_676) ^ (&p_699->g_398 != (void*)0)), 0x6C8A35BDL)) , (((*l_677)++) || ((p_10 ^ (safe_mod_func_uint16_t_u_u(((*l_685) ^= (safe_div_func_int64_t_s_s(0x5B1ECE3B35D63C1FL, p_10))), l_686))) > l_686))), 0x15L)) >= (*p_699->g_388))))) ^ (**p_699->g_261)), l_686)), (*p_699->g_262)));
    }
    return p_9;
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_373.f1 p_699->g_170.f2.f0 p_699->g_146 p_699->g_29 p_699->g_147 p_699->g_27 p_699->g_374.f7 p_699->g_286 p_699->g_194 p_699->g_114.f3.f7 p_699->g_374.f4 p_699->g_198 p_699->g_71
 * writes: p_699->g_373.f1 p_699->g_170.f2.f0 p_699->g_29 p_699->g_147 p_699->g_374.f7 p_699->g_286 p_699->g_114.f3.f7
 */
int32_t * func_11(int32_t * p_12, int64_t  p_13, uint32_t  p_14, int32_t * p_15, int32_t * p_16, struct S4 * p_699)
{ /* block id: 190 */
    int64_t **l_400 = (void*)0;
    int32_t l_408[2][8] = {{(-6L),(-6L),0x5B9D06D6L,(-1L),0x3B8F442AL,(-1L),0x5B9D06D6L,(-6L)},{(-6L),(-6L),0x5B9D06D6L,(-1L),0x3B8F442AL,(-1L),0x5B9D06D6L,(-6L)}};
    uint64_t l_582 = 0x9E1961DAF3005D9EL;
    int64_t **l_648 = &p_699->g_198;
    uint64_t *l_659[7] = {&p_699->g_305.f5,&p_699->g_305.f5,&p_699->g_305.f5,&p_699->g_305.f5,&p_699->g_305.f5,&p_699->g_305.f5,&p_699->g_305.f5};
    int32_t l_660 = 0x5C245B31L;
    int32_t l_661 = 0x4046265AL;
    int i, j;
    for (p_699->g_373.f1 = 0; (p_699->g_373.f1 <= 8); p_699->g_373.f1 += 1)
    { /* block id: 193 */
        int64_t **l_402 = (void*)0;
        int32_t l_409 = (-1L);
        int32_t l_410[2][6][10] = {{{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)}},{{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)},{0x08D1A250L,0x527AB53AL,0x527AB53AL,0x08D1A250L,0x7455B18BL,2L,1L,(-9L),0L,(-1L)}}};
        int32_t l_411 = 0x3CB5E6D3L;
        uint32_t l_412 = 0x0D5E9509L;
        int i, j, k;
        for (p_699->g_170.f2.f0 = 0; (p_699->g_170.f2.f0 <= 8); p_699->g_170.f2.f0 += 1)
        { /* block id: 196 */
            int64_t ***l_401 = &l_400;
            int32_t *l_403 = (void*)0;
            int32_t *l_404 = &p_699->g_27[0][1];
            int32_t *l_405 = &p_699->g_27[3][1];
            int32_t *l_406 = &p_699->g_27[5][2];
            int32_t *l_407[9][8][3] = {{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}},{{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]},{&p_699->g_147[2],&p_699->g_147[3],&p_699->g_147[2]}}};
            int i, j, k;
            (*p_699->g_146) &= (((*l_401) = l_400) == l_402);
            l_412++;
        }
        if ((atomic_inc(&p_699->g_atomic_input[98 * get_linear_group_id() + 4]) == 6))
        { /* block id: 202 */
            int32_t l_415[3][1];
            int i, j;
            for (i = 0; i < 3; i++)
            {
                for (j = 0; j < 1; j++)
                    l_415[i][j] = 1L;
            }
            for (l_415[0][0] = 0; (l_415[0][0] <= 8); l_415[0][0] += 1)
            { /* block id: 205 */
                int32_t l_417 = (-1L);
                int32_t *l_416 = &l_417;
                int32_t *l_418 = &l_417;
                int32_t *l_419[7][2] = {{&l_417,&l_417},{&l_417,&l_417},{&l_417,&l_417},{&l_417,&l_417},{&l_417,&l_417},{&l_417,&l_417},{&l_417,&l_417}};
                int i, j;
                l_419[1][1] = (l_418 = l_416);
            }
            for (l_415[1][0] = 1; (l_415[1][0] >= 0); l_415[1][0] -= 1)
            { /* block id: 211 */
                int32_t l_420 = 0x23FFB1AEL;
                uint16_t l_466 = 0x5E91L;
                int32_t l_467 = 0x0BCA6DDDL;
                int8_t l_468 = 1L;
                for (l_420 = 1; (l_420 >= 0); l_420 -= 1)
                { /* block id: 214 */
                    uint32_t l_421 = 5UL;
                    uint8_t l_427 = 246UL;
                    uint64_t l_428 = 18446744073709551614UL;
                    int64_t l_429 = 1L;
                    uint8_t l_430 = 5UL;
                    int64_t l_431 = 0x1F941D092D113E65L;
                    uint64_t l_432[9] = {18446744073709551608UL,0x931AAE0CE09E8ABAL,18446744073709551608UL,18446744073709551608UL,0x931AAE0CE09E8ABAL,18446744073709551608UL,18446744073709551608UL,0x931AAE0CE09E8ABAL,18446744073709551608UL};
                    uint32_t l_433[1];
                    uint16_t l_434 = 9UL;
                    int16_t l_435 = 1L;
                    uint32_t l_436 = 4294967287UL;
                    uint8_t l_437 = 254UL;
                    int64_t l_438 = (-6L);
                    union U3 l_439 = {0x0CBEB1BE5022C929L};/* VOLATILE GLOBAL l_439 */
                    int i, j, k;
                    for (i = 0; i < 1; i++)
                        l_433[i] = 0x87C9BA63L;
                    l_421--;
                    for (l_421 = 0; (l_421 <= 8); l_421 += 1)
                    { /* block id: 218 */
                        uint32_t l_424 = 1UL;
                        --l_424;
                    }
                    if (((((l_427 = l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)]) , ((l_428 &= 0x1DE72F81L) , l_429)) , (l_430 , (l_431 , ((l_432[8] , ((l_434 = (l_433[0] &= 0x17AD3555L)) , ((l_438 |= (l_435 , (l_436 , l_437))) , 18446744073709551614UL))) , l_439)))) , 0x4DF0F326L))
                    { /* block id: 226 */
                        int32_t l_440 = 0x61D16B62L;
                        struct S0 l_441 = {0x63509264C73C9654L,-3L,1UL,0x109C5AE2L,18446744073709551615UL,18446744073709551615UL,0xE69215D3L,255UL,0x487AL};/* VOLATILE GLOBAL l_441 */
                        struct S0 l_442 = {0x4E83381E3BDBB12DL,-5L,0xC6C26923L,0x439257EDL,0xCB57BB43DA3D792FL,0x15F3096F540C59F9L,1UL,3UL,1L};/* VOLATILE GLOBAL l_442 */
                        int8_t l_443 = 4L;
                        l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] = (l_440 = (-1L));
                        l_442 = l_441;
                        l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] = l_443;
                    }
                    else
                    { /* block id: 231 */
                        int32_t l_445 = 0x5093B15BL;
                        int32_t *l_444 = &l_445;
                        int32_t l_446 = 0x3BAA5CEBL;
                        uint32_t l_447 = 0x02363EA6L;
                        int16_t l_448 = 1L;
                        int64_t l_449 = 1L;
                        l_444 = (void*)0;
                        l_446 |= (l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] &= 0x0A5CB390L);
                        l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] = l_447;
                        l_449 ^= ((l_448 &= (GROUP_DIVERGE(1, 1) , (-1L))) , 0x6F809635L);
                    }
                    for (l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] = 0; (l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] <= 1); l_410[l_420][(l_415[1][0] + 3)][(l_420 + 1)] += 1)
                    { /* block id: 241 */
                        uint8_t l_450 = 1UL;
                        union U1 l_451 = {0x6F8E600BL};/* VOLATILE GLOBAL l_451 */
                        int16_t l_452 = 0x3AAFL;
                        union U2 l_453 = {0UL};/* VOLATILE GLOBAL l_453 */
                        int32_t l_454 = 0x5EE1EBF5L;
                        union U2 l_455 = {65532UL};/* VOLATILE GLOBAL l_455 */
                        union U3 l_456 = {-1L};/* VOLATILE GLOBAL l_456 */
                        int64_t l_457 = 0x3AD40FF240CE7CD7L;
                        uint16_t l_458 = 1UL;
                        int64_t l_459 = 0x69876C5B765991AAL;
                        int32_t l_460 = 0x029E50EDL;
                        uint16_t l_461 = 1UL;
                        int32_t *l_462 = &l_454;
                        int32_t *l_463 = &l_460;
                        int32_t l_464 = 0x0F7803D4L;
                        uint16_t l_465 = 1UL;
                        l_460 ^= ((l_450 , l_451) , (l_459 |= ((GROUP_DIVERGE(1, 1) , (l_452 , ((l_453 , 1UL) , (l_454 , (l_455 , l_456))))) , (l_458 = l_457))));
                        l_461 |= 0x162B9299L;
                        l_463 = l_462;
                        l_465 ^= (l_464 &= 0L);
                    }
                }
                l_468 &= (l_467 = l_466);
                for (l_468 = 5; (l_468 >= 2); l_468 -= 1)
                { /* block id: 255 */
                    int32_t *l_469 = &l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)];
                    int i, j, k;
                    l_469 = &l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)];
                    l_420 |= (-1L);
                    for (l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] = 0; (l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] <= 1); l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] += 1)
                    { /* block id: 260 */
                        uint32_t l_470[4][8] = {{7UL,0UL,7UL,7UL,0UL,7UL,7UL,0UL},{7UL,0UL,7UL,7UL,0UL,7UL,7UL,0UL},{7UL,0UL,7UL,7UL,0UL,7UL,7UL,0UL},{7UL,0UL,7UL,7UL,0UL,7UL,7UL,0UL}};
                        uint8_t l_473[10][7] = {{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL},{0xCBL,0UL,0x5CL,0xCBL,255UL,0x5CL,0x5CL}};
                        uint8_t l_474 = 255UL;
                        union U1 l_475 = {-4L};/* VOLATILE GLOBAL l_475 */
                        union U3 l_476 = {0x0E5BC7749F9C7B3BL};/* VOLATILE GLOBAL l_476 */
                        int64_t l_477 = (-1L);
                        int32_t l_478 = (-1L);
                        struct S0 l_479 = {0x51250A7F2FC2DEADL,1L,0UL,0x489510DFL,0xF2C6E6243448FF15L,3UL,4294967289UL,0x7AL,-2L};/* VOLATILE GLOBAL l_479 */
                        uint16_t l_480 = 1UL;
                        int i, j, k;
                        l_420 |= (l_410[l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)]][l_415[1][0]][(l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] + 7)] , 5L);
                        l_470[2][0]++;
                        l_420 = (((p_699->g_27[(l_415[1][0] + 2)][(l_415[1][0] + 1)] , (l_473[8][5] , (l_474 , l_475))) , (l_476 , ((l_477 , l_478) , l_479))) , (-1L));
                        l_475.f0 ^= l_480;
                    }
                    for (l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] = 2; (l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] <= 8); l_410[l_415[1][0]][l_468][(p_699->g_373.f1 + 1)] += 1)
                    { /* block id: 268 */
                        int8_t l_481 = (-8L);
                        struct S0 l_482 = {-8L,0L,3UL,0x715C7055L,18446744073709551615UL,18446744073709551614UL,0x79A07B2AL,0x70L,-1L};/* VOLATILE GLOBAL l_482 */
                        int32_t *l_483[3][7][9] = {{{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]}},{{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]}},{{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]},{&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],(void*)0,(void*)0,&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)],&l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)]}}};
                        int32_t l_485 = (-8L);
                        int32_t *l_484 = &l_485;
                        int i, j, k;
                        l_420 = (l_410[l_415[1][0]][(l_415[1][0] + 4)][(l_468 + 3)] , 0x1D17EBE3L);
                        l_469 = ((l_481 , l_482) , l_483[2][3][5]);
                        l_484 = (void*)0;
                    }
                }
            }
            for (l_415[1][0] = 8; (l_415[1][0] >= 2); l_415[1][0] -= 1)
            { /* block id: 277 */
                struct S0 l_486 = {4L,0x7D7A86D685AE5FD1L,0xB02A5201L,1L,0x3157FB10955B9A43L,0x6699F95D3262B1E0L,0x2393038BL,255UL,0x32A9L};/* VOLATILE GLOBAL l_486 */
                struct S0 l_487 = {0x4E4BC160017C9553L,1L,4294967295UL,3L,0x6468E7D104E97B44L,1UL,0xAADBAFFEL,255UL,0x30D0L};/* VOLATILE GLOBAL l_487 */
                uint8_t l_522 = 6UL;
                l_487 = l_486;
                for (l_486.f0 = 0; (l_486.f0 <= 1); l_486.f0 += 1)
                { /* block id: 281 */
                    int32_t l_488 = (-9L);
                    int32_t l_508 = 0x53060363L;
                    for (l_488 = 0; (l_488 <= 8); l_488 += 1)
                    { /* block id: 284 */
                        union U1 l_489 = {0L};/* VOLATILE GLOBAL l_489 */
                        int32_t l_490 = 0x068D268AL;
                        uint8_t l_491 = 254UL;
                        union U2 l_493 = {0x8DEFL};/* VOLATILE GLOBAL l_493 */
                        union U2 *l_492 = &l_493;
                        union U2 *l_494 = &l_493;
                        union U2 *l_495 = (void*)0;
                        int64_t l_496 = 0x1EA41BF49EE5D7E4L;
                        int32_t l_497 = 0L;
                        int8_t l_498[9] = {1L,(-2L),1L,1L,(-2L),1L,1L,(-2L),1L};
                        int32_t l_499[8] = {1L,0x790D501EL,1L,1L,0x790D501EL,1L,1L,0x790D501EL};
                        int64_t l_500 = 3L;
                        int8_t l_501 = 0x58L;
                        int64_t l_502 = 0x61E23CEBF29FDE2EL;
                        uint32_t l_503[9][3] = {{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL},{0x8E749CEDL,0xA6721A56L,0x8E749CEDL}};
                        int64_t l_506 = 7L;
                        int32_t l_507 = 0x66925CEFL;
                        int i, j, k;
                        l_495 = (l_494 = ((l_408[l_486.f0][(l_486.f0 + 1)] = ((l_410[l_486.f0][(l_486.f0 + 3)][(l_488 + 1)] , (l_490 &= (l_489 , 4294967289UL))) , l_408[l_486.f0][(l_486.f0 + 1)])) , (l_491 , l_492)));
                        l_503[2][0]++;
                        l_410[l_486.f0][(l_486.f0 + 3)][(l_488 + 1)] = (l_507 ^= (l_506 = 0x214D462FL));
                    }
                    l_487.f3 ^= (l_508 = 0L);
                    for (l_488 = 1; (l_488 >= 0); l_488 -= 1)
                    { /* block id: 298 */
                        int32_t l_509 = (-7L);
                        int32_t l_511 = (-9L);
                        int32_t *l_510 = &l_511;
                        int32_t *l_512 = &l_511;
                        int32_t *l_513 = &l_511;
                        uint16_t l_514 = 2UL;
                        int32_t *l_515 = (void*)0;
                        int32_t *l_516 = (void*)0;
                        struct S0 l_517 = {0x4C897FE39D2C6BEFL,0x711FB7697300DC3AL,0x14229F0DL,0x78D78CF0L,0xE17C5258B64E26B8L,0x440FBBCA55737AAAL,4294967295UL,9UL,0x18C3L};/* VOLATILE GLOBAL l_517 */
                        uint16_t l_518 = 0UL;
                        int32_t *l_519 = &l_511;
                        int32_t *l_520 = &l_511;
                        int32_t *l_521 = (void*)0;
                        l_487.f3 ^= l_509;
                        l_513 = (l_512 = l_510);
                        l_516 = (l_512 = (l_515 = (l_514 , (void*)0)));
                        l_521 = (l_520 = (l_517 , (l_518 , l_519)));
                    }
                }
                l_522 &= 3L;
                for (l_486.f8 = 8; (l_486.f8 >= 0); l_486.f8 -= 1)
                { /* block id: 312 */
                    struct S0 l_524 = {-10L,8L,0x2AD34B35L,0x48704CCEL,1UL,0x4F12025F1D5FD2C5L,0x379BE5DAL,1UL,0x6519L};/* VOLATILE GLOBAL l_524 */
                    struct S0 *l_523[7][1] = {{&l_524},{&l_524},{&l_524},{&l_524},{&l_524},{&l_524},{&l_524}};
                    struct S0 *l_525 = &l_524;
                    int i, j;
                    l_525 = l_523[5][0];
                }
            }
            for (l_415[0][0] = 0; (l_415[0][0] <= 8); l_415[0][0] += 1)
            { /* block id: 318 */
                int32_t l_526[7][4][9] = {{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}},{{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L},{0x7BF88DEDL,0x739A28CCL,0x739A28CCL,0x7BF88DEDL,(-1L),0L,0x71683DE7L,0x1586670FL,0x1461C994L}}};
                uint16_t l_527 = 0x27B4L;
                int i, j, k;
                l_527 = (l_526[1][1][1] = 0x071B21C4L);
                for (l_526[4][3][3] = 3; (l_526[4][3][3] <= 8); l_526[4][3][3] += 1)
                { /* block id: 323 */
                    int16_t l_530 = 0x27EDL;
                    int16_t *l_529 = &l_530;
                    int16_t **l_528 = &l_529;
                    int16_t **l_531 = &l_529;
                    int32_t l_532 = 0x393BB87AL;
                    int8_t l_533 = 0x2BL;
                    int64_t l_534 = 1L;
                    uint32_t l_535 = 4294967295UL;
                    uint32_t l_554 = 0x70B09041L;
                    l_531 = l_528;
                    l_535++;
                    for (l_533 = 2; (l_533 <= 8); l_533 += 1)
                    { /* block id: 328 */
                        uint32_t l_538 = 0x860DFF85L;
                        int32_t *l_539 = (void*)0;
                        int32_t l_541 = (-2L);
                        int32_t *l_540 = &l_541;
                        uint16_t l_542[3][9][8];
                        uint8_t l_545 = 0x32L;
                        int16_t l_546 = 1L;
                        uint32_t l_547 = 0UL;
                        union U3 l_548[7][1] = {{{-5L}},{{-5L}},{{-5L}},{{-5L}},{{-5L}},{{-5L}},{{-5L}}};
                        union U2 l_549 = {0xF5E2L};/* VOLATILE GLOBAL l_549 */
                        int16_t l_550 = 1L;
                        struct S0 l_551 = {-1L,1L,0x0E004DCFL,1L,18446744073709551610UL,18446744073709551615UL,0xE634BD56L,251UL,0L};/* VOLATILE GLOBAL l_551 */
                        union U1 l_552 = {0L};/* VOLATILE GLOBAL l_552 */
                        union U3 l_553 = {0x38DF52D5DEBF6134L};/* VOLATILE GLOBAL l_553 */
                        int i, j, k;
                        for (i = 0; i < 3; i++)
                        {
                            for (j = 0; j < 9; j++)
                            {
                                for (k = 0; k < 8; k++)
                                    l_542[i][j][k] = 65526UL;
                            }
                        }
                        l_540 = (l_538 , l_539);
                        l_542[0][4][0]--;
                        l_532 |= (((l_545 , l_546) , l_547) , ((l_548[0][0] , (((l_549 , l_550) , ((l_549.f3.f7 = 0x4AL) , l_551)) , (l_552 , l_553))) , 0x7EBEC6AFL));
                    }
                    if (l_554)
                    { /* block id: 334 */
                        int16_t l_555 = 8L;
                        uint16_t l_556 = 0x0D25L;
                        struct S0 l_559 = {0x45F6A132BF30B224L,0x2DB28470298C6473L,0x0CA36F0DL,0x3D89FA9FL,7UL,0x6E29DAF0835152D3L,6UL,2UL,0x6F26L};/* VOLATILE GLOBAL l_559 */
                        struct S0 l_560 = {0x250875E8B9671163L,-1L,1UL,0L,18446744073709551614UL,0xFEF9789D5F1B3CECL,1UL,0xB6L,2L};/* VOLATILE GLOBAL l_560 */
                        int32_t l_562 = 0x7C7A7236L;
                        int32_t *l_561[2];
                        int32_t *l_563 = &l_562;
                        uint16_t l_564[8][10] = {{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L},{65529UL,0x8AF9L,65535UL,0x8AF9L,65529UL,0x3E86L,1UL,65528UL,0x46D8L,0x6A33L}};
                        uint8_t l_565 = 0xBFL;
                        uint8_t l_566 = 7UL;
                        int32_t l_567 = 4L;
                        int i, j;
                        for (i = 0; i < 2; i++)
                            l_561[i] = &l_562;
                        --l_556;
                        l_560 = l_559;
                        l_563 = l_561[0];
                        l_532 = ((l_565 = l_564[5][4]) , (l_566 , (l_567 , (-10L))));
                    }
                    else
                    { /* block id: 340 */
                        int32_t l_568 = 0x721863F3L;
                        int32_t l_569[5][5][4] = {{{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L}},{{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L}},{{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L}},{{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L}},{{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L},{0x04365A6AL,1L,0x6067CC81L,0x41917BC6L}}};
                        uint64_t l_570 = 0x08757EF1D73A8525L;
                        uint8_t l_573 = 0xD7L;
                        int8_t l_574 = (-1L);
                        int64_t l_575 = 6L;
                        int32_t l_577[4];
                        int32_t *l_576 = &l_577[3];
                        int i, j, k;
                        for (i = 0; i < 4; i++)
                            l_577[i] = 0x29FA1A77L;
                        l_570++;
                        l_574 = (l_532 ^= l_573);
                        l_576 = ((l_575 = (-5L)) , (void*)0);
                    }
                }
            }
            unsigned int result = 0;
            int l_415_i0, l_415_i1;
            for (l_415_i0 = 0; l_415_i0 < 3; l_415_i0++) {
                for (l_415_i1 = 0; l_415_i1 < 1; l_415_i1++) {
                    result += l_415[l_415_i0][l_415_i1];
                }
            }
            atomic_add(&p_699->g_special_values[98 * get_linear_group_id() + 4], result);
        }
        else
        { /* block id: 349 */
            (1 + 1);
        }
        for (p_699->g_374.f7 = 1; (p_699->g_374.f7 <= 8); p_699->g_374.f7 += 1)
        { /* block id: 354 */
            uint8_t l_583[7][4][6] = {{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}},{{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL},{0x7BL,0x7BL,0x84L,0x88L,7UL,1UL}}};
            int32_t *l_584 = (void*)0;
            int32_t *l_585 = &l_408[0][6];
            int i, j, k;
            (*l_585) ^= (safe_add_func_int16_t_s_s(0x27C2L, ((((safe_rshift_func_uint8_t_u_u(l_582, 5)) , (*p_699->g_146)) && l_583[0][2][2]) > (p_13 & 0x1E6365A9L))));
            if (l_408[1][4])
                continue;
            for (p_699->g_286 = 1; (p_699->g_286 <= 8); p_699->g_286 += 1)
            { /* block id: 359 */
                int32_t *l_631 = &l_408[0][6];
                int i;
                (*p_699->g_146) = (safe_lshift_func_int16_t_s_u(p_699->g_194[p_699->g_286], 4));
                if ((atomic_inc(&p_699->l_atomic_input[30]) == 3))
                { /* block id: 362 */
                    int32_t l_588[9][4][4] = {{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}},{{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L},{1L,0x60F734A5L,(-9L),6L}}};
                    int i, j, k;
                    for (l_588[6][3][0] = 1; (l_588[6][3][0] <= 8); l_588[6][3][0] += 1)
                    { /* block id: 365 */
                        int32_t l_589 = 0x60C93FE1L;
                        union U2 l_591 = {0UL};/* VOLATILE GLOBAL l_591 */
                        union U2 *l_590[7][3][1];
                        union U2 *l_592 = &l_591;
                        union U2 *l_593 = (void*)0;
                        union U2 *l_594 = &l_591;
                        int32_t l_595 = 0L;
                        uint32_t l_596[9] = {0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL,0x30CD349FL};
                        int8_t l_599 = 0x76L;
                        int8_t l_600 = 9L;
                        uint32_t l_601 = 0xCCF4201DL;
                        int32_t *l_604 = (void*)0;
                        int i, j, k;
                        for (i = 0; i < 7; i++)
                        {
                            for (j = 0; j < 3; j++)
                            {
                                for (k = 0; k < 1; k++)
                                    l_590[i][j][k] = &l_591;
                            }
                        }
                        l_594 = (l_593 = (l_592 = (l_589 , (l_590[5][0][0] = (void*)0))));
                        l_596[6]--;
                        --l_601;
                        l_604 = (void*)0;
                    }
                    for (l_588[8][0][2] = 3; (l_588[8][0][2] >= 0); l_588[8][0][2] -= 1)
                    { /* block id: 376 */
                        uint32_t l_605 = 0xFD79C856L;
                        int32_t l_609 = (-5L);
                        int32_t *l_608 = &l_609;
                        int32_t *l_610[10][4][6] = {{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}},{{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609},{&l_609,&l_609,&l_609,&l_609,&l_609,&l_609}}};
                        int16_t l_611 = (-6L);
                        uint8_t l_612 = 9UL;
                        int64_t **l_615 = (void*)0;
                        int64_t l_618 = 0x213BA49CFEA8E772L;
                        int64_t *l_617 = &l_618;
                        int64_t **l_616[10][7][3] = {{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}},{{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617},{&l_617,&l_617,&l_617}}};
                        int64_t **l_619 = &l_617;
                        int i, j, k;
                        l_605--;
                        l_610[8][3][5] = l_608;
                        l_612--;
                        l_619 = (l_616[7][0][0] = l_615);
                    }
                    for (l_588[6][3][0] = 0; (l_588[6][3][0] <= 8); l_588[6][3][0] += 1)
                    { /* block id: 385 */
                        int8_t l_620 = 0x58L;
                        uint16_t l_621 = 65533UL;
                        int16_t l_624 = 0x5B65L;
                        int8_t l_625 = 9L;
                        int64_t l_626 = 0x7D8FB47686D32D77L;
                        int64_t l_627 = 0x0AB075EA5295EB42L;
                        int64_t l_628 = 0L;
                        struct S0 l_629[10][4] = {{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}},{{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L},{0x7C932B08891B315FL,0x7B5861FBD6243AAEL,0xE704D6F9L,-9L,0x5900D3645DB2CC92L,6UL,0UL,5UL,-2L}}};
                        struct S0 l_630[7] = {{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L},{0x4EF81D9562689C95L,0x6891D8F4F316E8C5L,0x0C30861EL,-1L,0xFB8A0962DB456A0EL,18446744073709551606UL,0x3A918D28L,0xBAL,-5L}};
                        int i, j;
                        l_621--;
                        l_625 ^= l_624;
                        l_628 ^= (l_627 |= l_626);
                        l_630[3] = l_629[7][0];
                    }
                    unsigned int result = 0;
                    int l_588_i0, l_588_i1, l_588_i2;
                    for (l_588_i0 = 0; l_588_i0 < 9; l_588_i0++) {
                        for (l_588_i1 = 0; l_588_i1 < 4; l_588_i1++) {
                            for (l_588_i2 = 0; l_588_i2 < 4; l_588_i2++) {
                                result += l_588[l_588_i0][l_588_i1][l_588_i2];
                            }
                        }
                    }
                    atomic_add(&p_699->l_special_values[30], result);
                }
                else
                { /* block id: 392 */
                    (1 + 1);
                }
                return p_12;
            }
        }
    }
    for (p_699->g_114.f3.f7 = (-12); (p_699->g_114.f3.f7 >= 42); p_699->g_114.f3.f7 = safe_add_func_int8_t_s_s(p_699->g_114.f3.f7, 7))
    { /* block id: 401 */
        int32_t *l_634 = (void*)0;
        int32_t *l_635 = (void*)0;
        int32_t *l_636 = &p_699->g_147[5];
        int32_t *l_637 = &p_699->g_27[8][0];
        int32_t *l_638 = (void*)0;
        int32_t *l_639 = &l_408[1][7];
        int32_t l_640 = 0x67066ADAL;
        int32_t *l_641 = (void*)0;
        int32_t *l_642[6] = {&p_699->g_147[2],&p_699->g_147[2],&p_699->g_147[2],&p_699->g_147[2],&p_699->g_147[2],&p_699->g_147[2]};
        uint32_t l_643 = 0x2C1B1D44L;
        int64_t **l_646 = &p_699->g_198;
        int64_t ***l_647[7] = {&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1]};
        int i;
        l_643++;
        l_648 = l_646;
    }
    l_661 |= ((*p_15) = ((safe_lshift_func_uint8_t_u_s(p_13, p_699->g_374.f4)) >= (safe_lshift_func_int16_t_s_u((((p_13 & (l_408[1][2] , (l_660 ^= (safe_add_func_uint16_t_u_u((l_582 < ((safe_mul_func_int8_t_s_s(0x49L, (safe_sub_func_int64_t_s_s((*p_699->g_198), (((l_408[0][6] = ((void*)0 == l_648)) , 0xFA1DL) || GROUP_DIVERGE(1, 1)))))) || l_408[0][6])), 65527UL))))) & (-5L)) && l_660), 13))));
    return p_15;
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_19 p_699->g_26 p_699->g_29 p_699->g_27 p_699->g_28 p_699->g_57 p_699->g_76 p_699->g_92 p_699->g_110 p_699->g_111 p_699->g_131 p_699->g_135 p_699->g_134 p_699->g_155 p_699->g_71 p_699->g_237 p_699->g_262 p_699->g_368 p_699->g_369 p_699->g_194 p_699->g_259.f7 p_699->g_373 p_699->g_146 p_699->g_147 p_699->g_259.f1 p_699->g_170.f0 p_699->g_386
 * writes: p_699->g_29 p_699->g_57 p_699->g_26 p_699->g_71 p_699->g_76 p_699->g_28 p_699->g_110 p_699->g_111 p_699->g_114.f3.f4 p_699->g_131 p_699->g_135 p_699->g_146 p_699->g_155 p_699->g_114.f1 p_699->g_368 p_699->g_374 p_699->g_27 p_699->g_170.f0 p_699->g_387
 */
int32_t * func_17(int64_t  p_18, struct S4 * p_699)
{ /* block id: 5 */
    uint8_t l_377 = 4UL;
    uint8_t l_378 = 7UL;
    int32_t *l_383[6][4] = {{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0},{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0},{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0},{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0},{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0},{&p_699->g_170.f0,&p_699->g_147[2],&p_699->g_170.f0,&p_699->g_170.f0}};
    int16_t *l_385 = &p_699->g_254;
    int16_t **l_384 = &l_385;
    int i, j;
    p_699->g_170.f0 |= (safe_add_func_int32_t_s_s(((-1L) != (safe_lshift_func_uint8_t_u_s(p_699->g_19[4], ((func_24(p_699->g_26, p_699) , l_377) && (l_378 <= (1UL && (((safe_lshift_func_uint16_t_u_s(FAKE_DIVERGE(p_699->group_1_offset, get_group_id(1), 10), (safe_mod_func_uint32_t_u_u(l_377, (*p_699->g_146))))) & p_18) > l_377))))))), p_699->g_259.f1));
    (*p_699->g_386) = l_384;
    return l_383[3][2];
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_29 p_699->g_27 p_699->g_19 p_699->g_28 p_699->g_57 p_699->g_26 p_699->g_76 p_699->g_92 p_699->g_110 p_699->g_111 p_699->g_131 p_699->g_135 p_699->g_134 p_699->g_155 p_699->g_71 p_699->g_237 p_699->g_262 p_699->g_368 p_699->g_369 p_699->g_194 p_699->g_259.f7 p_699->g_373
 * writes: p_699->g_29 p_699->g_57 p_699->g_26 p_699->g_71 p_699->g_76 p_699->g_28 p_699->g_110 p_699->g_111 p_699->g_114.f3.f4 p_699->g_131 p_699->g_135 p_699->g_146 p_699->g_155 p_699->g_114.f1 p_699->g_368 p_699->g_374 p_699->g_27
 */
int64_t  func_24(int32_t * p_25, struct S4 * p_699)
{ /* block id: 6 */
    uint32_t l_42 = 0x6DFE5350L;
    int32_t **l_60 = &p_699->g_26;
    int32_t *l_62 = &p_699->g_27[0][0];
    int32_t **l_61 = &l_62;
    int32_t *l_371 = &p_699->g_27[8][2];
    int64_t **l_375[6] = {&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198};
    int64_t *l_376 = (void*)0;
    int i;
    for (p_699->g_29 = 1; (p_699->g_29 != 17); p_699->g_29 = safe_add_func_int16_t_s_s(p_699->g_29, 1))
    { /* block id: 9 */
        int32_t l_32 = 0x40B80722L;
        return l_32;
    }
    p_699->g_374 = func_33(p_699->g_27[0][1], func_39(l_42, func_43(func_49(l_42, (l_42 | ((safe_lshift_func_int16_t_s_u((p_699->g_57 = l_42), (((safe_rshift_func_int8_t_s_u((((*l_60) = p_25) != ((*l_61) = &p_699->g_27[7][2])), 0)) || 0x6FL) <= l_42))) < 0xBB6E743FD0416CBBL)), p_699->g_27[2][1], &p_699->g_29, l_42, p_699), p_699->g_19[3], p_699->g_29, l_42, p_25, p_699), p_699), l_371, p_699->g_194[1], p_699->g_259.f7, p_699);
    (*l_371) = (((l_375[2] == (void*)0) , l_376) != (void*)0);
    return (**l_61);
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_373
 * writes: p_699->g_26
 */
struct S0  func_33(uint64_t  p_34, int32_t * p_35, int32_t * p_36, uint32_t  p_37, int64_t  p_38, struct S4 * p_699)
{ /* block id: 180 */
    int32_t **l_372 = &p_699->g_26;
    p_35 = p_35;
    (*l_372) = (void*)0;
    return p_699->g_373;
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_368 p_699->g_369
 * writes: p_699->g_368
 */
int32_t * func_39(uint16_t  p_40, uint8_t  p_41, struct S4 * p_699)
{ /* block id: 177 */
    int32_t *l_370 = &p_699->g_147[6];
    (*p_699->g_369) = p_699->g_368;
    return l_370;
}


/* ------------------------------------------ */
/* 
 * reads : p_699->g_28 p_699->g_57 p_699->g_27 p_699->g_26 p_699->g_76 p_699->g_29 p_699->g_92 p_699->g_110 p_699->g_111 p_699->g_131 p_699->g_135 p_699->g_134 p_699->g_155 p_699->g_71 p_699->g_237 p_699->g_262
 * writes: p_699->g_71 p_699->g_76 p_699->g_26 p_699->g_29 p_699->g_57 p_699->g_28 p_699->g_110 p_699->g_111 p_699->g_114.f3.f4 p_699->g_131 p_699->g_135 p_699->g_146 p_699->g_155 p_699->g_114.f1
 */
uint8_t  func_43(int32_t * p_44, int64_t  p_45, uint32_t  p_46, uint32_t  p_47, int32_t * p_48, struct S4 * p_699)
{ /* block id: 22 */
    uint16_t l_65 = 0x64CCL;
    int32_t **l_66 = (void*)0;
    int32_t *l_67[3];
    int64_t *l_70 = &p_699->g_71[5][0][2];
    uint64_t l_74[3][6] = {{0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL},{0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL},{0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL,0x014A1F699DA7DC4CL}};
    uint8_t *l_75[2][1][8] = {{{&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76}},{{&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76,&p_699->g_76}}};
    int32_t **l_77[1][4][10] = {{{(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0},{(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0},{(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0},{(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0,(void*)0}}};
    uint16_t *l_80 = &l_65;
    union U2 *l_115[3];
    uint16_t l_157 = 65535UL;
    int64_t **l_289 = (void*)0;
    int64_t l_311 = 0x714B6D7EA2F1FBFDL;
    int i, j, k;
    for (i = 0; i < 3; i++)
        l_67[i] = &p_699->g_29;
    for (i = 0; i < 3; i++)
        l_115[i] = &p_699->g_114;
    p_44 = (p_699->g_26 = func_49(p_699->g_28, l_65, l_65, (l_67[2] = (void*)0), ((p_699->g_57 & (safe_add_func_int64_t_s_s(((*l_70) = l_65), p_46))) != (safe_add_func_uint8_t_u_u((p_699->g_76 ^= ((((0x680AL && 0UL) > p_699->g_27[8][0]) ^ l_74[2][4]) <= (*p_699->g_26))), 1UL))), p_699));
    p_699->g_29 |= (safe_mul_func_int16_t_s_s((p_699->g_28 >= (l_75[0][0][6] == &p_699->g_76)), ((*l_80)--)));
    for (p_699->g_57 = (-6); (p_699->g_57 >= 24); p_699->g_57 = safe_add_func_int16_t_s_s(p_699->g_57, 9))
    { /* block id: 32 */
        uint32_t l_102 = 0x7DCA9E6BL;
        uint16_t *l_109[2][6][2] = {{{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65}},{{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65},{(void*)0,&l_65}}};
        int32_t l_125 = 0x60F3683EL;
        int32_t l_128[4] = {0x2ABCCD47L,0x2ABCCD47L,0x2ABCCD47L,0x2ABCCD47L};
        int32_t l_129 = 0x335EDE0BL;
        uint16_t l_158[7] = {0x112BL,0x112BL,0x112BL,0x112BL,0x112BL,0x112BL,0x112BL};
        uint8_t *l_164 = (void*)0;
        int32_t ***l_186 = &l_77[0][3][4];
        int32_t ***l_187 = &l_77[0][3][4];
        int32_t l_232 = (-7L);
        int8_t l_253 = (-1L);
        uint32_t l_294 = 0x16670EDBL;
        int64_t **l_295 = (void*)0;
        int i, j, k;
        for (p_699->g_29 = 0; (p_699->g_29 != 19); ++p_699->g_29)
        { /* block id: 35 */
            union U2 *l_116 = (void*)0;
            uint64_t l_117 = 0x00571A61B918F6E3L;
            int32_t l_126[1][5][6] = {{{0x78CD5190L,0x78CD5190L,0x76921664L,0x1413133DL,0x736CA90BL,0x0038FFA4L},{0x78CD5190L,0x78CD5190L,0x76921664L,0x1413133DL,0x736CA90BL,0x0038FFA4L},{0x78CD5190L,0x78CD5190L,0x76921664L,0x1413133DL,0x736CA90BL,0x0038FFA4L},{0x78CD5190L,0x78CD5190L,0x76921664L,0x1413133DL,0x736CA90BL,0x0038FFA4L},{0x78CD5190L,0x78CD5190L,0x76921664L,0x1413133DL,0x736CA90BL,0x0038FFA4L}}};
            uint8_t *l_163 = &p_699->g_92.f7;
            uint8_t **l_165 = &l_75[0][0][6];
            int16_t *l_260[1][5];
            int64_t l_293 = 0x66FC46F5DC848210L;
            int32_t l_313 = (-1L);
            int i, j, k;
            for (i = 0; i < 1; i++)
            {
                for (j = 0; j < 5; j++)
                    l_260[i][j] = (void*)0;
            }
            for (p_45 = (-19); (p_45 != (-16)); p_45 = safe_add_func_uint8_t_u_u(p_45, 7))
            { /* block id: 38 */
                uint32_t l_89 = 0x55B62D56L;
                ++l_89;
                for (p_699->g_76 = 0; p_699->g_76 < 3; p_699->g_76 += 1)
                {
                    for (p_699->g_28 = 0; p_699->g_28 < 6; p_699->g_28 += 1)
                    {
                        l_74[p_699->g_76][p_699->g_28] = 0x9CB7C8A0849DA61DL;
                    }
                }
                if ((p_48 != &p_699->g_29))
                { /* block id: 41 */
                    int32_t l_97 = (-1L);
                    union U2 *l_113 = &p_699->g_114;
                    union U2 **l_112[4] = {&l_113,&l_113,&l_113,&l_113};
                    int i;
                    l_116 = (l_115[1] = (((p_699->g_92 , &p_699->g_71[0][0][3]) != ((safe_add_func_int64_t_s_s((p_699->g_111 ^= (p_699->g_92.f7 , ((*l_70) = (6UL && (((((p_45 && ((-1L) & l_97)) , (safe_mul_func_int16_t_s_s((safe_div_func_uint16_t_u_u(l_102, ((safe_rshift_func_int16_t_s_s((safe_mod_func_uint64_t_u_u(((p_699->g_110 ^= ((*l_80) = ((safe_mod_func_int32_t_s_s(((void*)0 == l_109[1][4][0]), l_102)) | FAKE_DIVERGE(p_699->local_1_offset, get_local_id(1), 10)))) | l_102), p_46)), 0)) ^ 0x4F73297CB3D53BA1L))), 0UL))) , &p_699->g_26) != &p_699->g_26) <= 0L))))), p_45)) , &p_699->g_71[4][0][3])) , (void*)0));
                    --l_117;
                }
                else
                { /* block id: 49 */
                    if ((*p_48))
                        break;
                }
            }
            if (((void*)0 == l_109[1][4][0]))
            { /* block id: 53 */
                uint64_t l_122[5][9] = {{0UL,0UL,1UL,4UL,1UL,0UL,0UL,0x4896CD4106AF828DL,0xEFC3FFF7591BD5E5L},{0UL,0UL,1UL,4UL,1UL,0UL,0UL,0x4896CD4106AF828DL,0xEFC3FFF7591BD5E5L},{0UL,0UL,1UL,4UL,1UL,0UL,0UL,0x4896CD4106AF828DL,0xEFC3FFF7591BD5E5L},{0UL,0UL,1UL,4UL,1UL,0UL,0UL,0x4896CD4106AF828DL,0xEFC3FFF7591BD5E5L},{0UL,0UL,1UL,4UL,1UL,0UL,0UL,0x4896CD4106AF828DL,0xEFC3FFF7591BD5E5L}};
                int32_t l_127 = 0x27BBD155L;
                int32_t l_130[1][9][7] = {{{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)},{8L,8L,(-7L),0L,0x72811500L,0L,(-7L)}}};
                int i, j, k;
                for (p_699->g_114.f3.f4 = 0; (p_699->g_114.f3.f4 > 26); p_699->g_114.f3.f4 = safe_add_func_uint8_t_u_u(p_699->g_114.f3.f4, 4))
                { /* block id: 56 */
                    l_122[3][3]--;
                }
                ++p_699->g_131;
            }
            else
            { /* block id: 60 */
                int32_t ***l_154 = &l_77[0][2][3];
                int32_t ***l_156[3][3] = {{&l_66,&l_66,&l_66},{&l_66,&l_66,&l_66},{&l_66,&l_66,&l_66}};
                int i, j;
                p_699->g_135--;
                p_699->g_114.f1 = ((safe_mul_func_uint16_t_u_u(((safe_mod_func_int64_t_s_s((0x453C72E5D604C138L | 1UL), ((safe_add_func_int8_t_s_s((~((safe_add_func_int8_t_s_s(0x18L, ((p_699->g_26 = &p_699->g_29) != (p_699->g_146 = &p_699->g_29)))) > ((((1UL != ((safe_sub_func_int64_t_s_s(((safe_mul_func_int16_t_s_s((((safe_mul_func_uint16_t_u_u(p_699->g_134, ((((*l_154) = (void*)0) != (p_699->g_155 = p_699->g_155)) == 3UL))) , p_46) && 1UL), p_46)) > l_157), 0xD67071AFD06734FEL)) ^ p_699->g_27[2][2])) , l_126[0][3][1]) | GROUP_DIVERGE(2, 1)) || 65535UL))), 0x02L)) && l_158[0]))) ^ 2UL), 65535UL)) > p_699->g_71[5][0][2]);
            }
        }
        if ((*p_48))
            break;
    }
    if ((atomic_inc(&p_699->l_atomic_input[60]) == 7))
    { /* block id: 103 */
        int32_t l_314 = 0x1EE790F7L;
        for (l_314 = 0; (l_314 >= 0); l_314 -= 1)
        { /* block id: 106 */
            uint64_t l_315 = 0x6B7765D6997D1F7FL;
            uint32_t l_316 = 4294967288UL;
            struct S0 l_345 = {1L,0x547F18412345CF3CL,4294967290UL,0L,0xF7D3F6F4DA8080C9L,3UL,1UL,250UL,0x7C48L};/* VOLATILE GLOBAL l_345 */
            struct S0 l_346 = {1L,0x73B9260F66DD1DA3L,0x6CF64271L,0x6362F8CEL,1UL,1UL,0x828C489FL,1UL,0L};/* VOLATILE GLOBAL l_346 */
            int32_t l_347 = 4L;
            uint8_t l_348 = 9UL;
            l_316 ^= l_315;
            for (l_316 = 0; (l_316 <= 3); l_316 += 1)
            { /* block id: 110 */
                uint64_t l_317 = 0xF4274A601570E2E7L;
                l_317 ^= 0x7F1CCAE6L;
                for (l_317 = 0; (l_317 <= 3); l_317 += 1)
                { /* block id: 114 */
                    int32_t l_318 = 0x3DE1E374L;
                    uint8_t l_334 = 1UL;
                    for (l_318 = 0; (l_318 <= 0); l_318 += 1)
                    { /* block id: 117 */
                        struct S0 l_319[9] = {{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L},{0L,-5L,0xB8265AA5L,0x42373D3BL,0x14C03FEAD032E2A2L,1UL,0xC7647858L,1UL,3L}};
                        uint32_t l_320[5][2] = {{0x0BD759E2L,0xA63A2458L},{0x0BD759E2L,0xA63A2458L},{0x0BD759E2L,0xA63A2458L},{0x0BD759E2L,0xA63A2458L},{0x0BD759E2L,0xA63A2458L}};
                        int i, j;
                        l_319[7] = l_319[0];
                        --l_320[3][0];
                    }
                    for (l_318 = 3; (l_318 >= 0); l_318 -= 1)
                    { /* block id: 123 */
                        int8_t l_323 = 1L;
                        int32_t l_325 = (-5L);
                        int32_t *l_324 = &l_325;
                        int32_t *l_326 = &l_325;
                        int32_t *l_327 = &l_325;
                        int32_t *l_328 = &l_325;
                        int32_t *l_329 = (void*)0;
                        int32_t l_330 = 0x030BF90BL;
                        uint32_t l_331 = 4294967295UL;
                        int16_t l_332[8] = {(-8L),(-8L),(-8L),(-8L),(-8L),(-8L),(-8L),(-8L)};
                        uint8_t l_333[2];
                        int i, j;
                        for (i = 0; i < 2; i++)
                            l_333[i] = 252UL;
                        l_327 = (((l_323 = p_699->g_237[l_318][l_316]) , p_699->g_237[(l_314 + 3)][l_317]) , (l_326 = l_324));
                        l_329 = l_328;
                        l_331 &= l_330;
                        l_333[0] |= l_332[2];
                    }
                    ++l_334;
                }
                for (l_317 = 0; (l_317 <= 3); l_317 += 1)
                { /* block id: 135 */
                    int8_t l_337 = (-10L);
                    if (l_337)
                    { /* block id: 136 */
                        int64_t l_340 = (-2L);
                        int64_t *l_339 = &l_340;
                        int64_t **l_338 = &l_339;
                        l_338 = (void*)0;
                    }
                    else
                    { /* block id: 138 */
                        int32_t l_342 = 0x4B59A954L;
                        int32_t *l_341 = &l_342;
                        uint16_t l_343[8][9][3] = {{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}},{{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L},{0xF763L,0x0D3AL,0xE4F0L}}};
                        uint16_t l_344 = 0xFE42L;
                        int i, j, k;
                        l_341 = (void*)0;
                        l_344 = l_343[0][2][1];
                    }
                }
            }
            l_346 = l_345;
            l_348 = l_347;
            for (l_346.f5 = 0; (l_346.f5 <= 3); l_346.f5 += 1)
            { /* block id: 148 */
                uint32_t l_349 = 0x3869F87DL;
                int8_t l_352[9] = {(-1L),(-1L),(-1L),(-1L),(-1L),(-1L),(-1L),(-1L),(-1L)};
                int16_t l_353 = (-10L);
                int i;
                l_349--;
                l_353 &= (l_352[2] |= 0x7519208DL);
                for (l_349 = 0; (l_349 <= 3); l_349 += 1)
                { /* block id: 154 */
                    int8_t l_354 = 0L;
                    struct S0 l_355 = {0x0543EA68DFC4F1E5L,0x1D02FF6B886002D9L,4294967294UL,0L,9UL,1UL,4294967295UL,253UL,-9L};/* VOLATILE GLOBAL l_355 */
                    l_345 = (l_354 , l_355);
                    for (l_355.f0 = 0; (l_355.f0 <= 0); l_355.f0 += 1)
                    { /* block id: 158 */
                        uint64_t l_356 = 5UL;
                        uint8_t l_357 = 0xBEL;
                        int64_t l_360 = (-6L);
                        int64_t *l_359 = &l_360;
                        int64_t **l_358 = &l_359;
                        int64_t **l_361[3][1][9] = {{{&l_359,&l_359,&l_359,&l_359,(void*)0,(void*)0,&l_359,&l_359,&l_359}},{{&l_359,&l_359,&l_359,&l_359,(void*)0,(void*)0,&l_359,&l_359,&l_359}},{{&l_359,&l_359,&l_359,&l_359,(void*)0,(void*)0,&l_359,&l_359,&l_359}}};
                        int64_t **l_362 = (void*)0;
                        uint64_t l_363 = 0x004EAEB83C5AAED8L;
                        int i, j, k;
                        l_345.f3 = l_356;
                        l_355.f3 ^= l_357;
                        l_362 = (l_361[2][0][6] = l_358);
                        l_363++;
                    }
                }
            }
        }
        for (l_314 = 1; (l_314 <= 4); l_314 += 1)
        { /* block id: 170 */
            int8_t l_366 = 0x5DL;
            int16_t l_367 = 1L;
            l_367 &= l_366;
        }
        unsigned int result = 0;
        result += l_314;
        atomic_add(&p_699->l_special_values[60], result);
    }
    else
    { /* block id: 173 */
        (1 + 1);
    }
    return (*p_699->g_262);
}


/* ------------------------------------------ */
/* 
 * reads :
 * writes:
 */
int32_t * func_49(uint8_t  p_50, int64_t  p_51, uint32_t  p_52, int32_t * p_53, int16_t  p_54, struct S4 * p_699)
{ /* block id: 15 */
    for (p_54 = 20; (p_54 <= 27); p_54 = safe_add_func_uint64_t_u_u(p_54, 9))
    { /* block id: 18 */
        return p_53;
    }
    return p_53;
}


__kernel void entry(__global ulong *result, __global volatile uint *g_atomic_input, __global volatile uint *g_special_values, __global int *sequence_input) {
    int i, j, k;
    __local volatile uint32_t l_atomic_input[98];
    if (get_linear_local_id() == 0)
        for (i = 0; i < 98; i++)
            l_atomic_input[i] = 0;
    __local volatile uint32_t l_special_values[98];
    if (get_linear_local_id() == 0)
        for (i = 0; i < 98; i++)
            l_special_values[i] = 0;
    struct S4 c_700;
    struct S4* p_699 = &c_700;
    struct S4 c_701 = {
        {0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL,0xB57A67D926128F3BL}, // p_699->g_19
        {{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL},{0x5413053BL,(-1L),0x5413053BL}}, // p_699->g_27
        &p_699->g_27[8][0], // p_699->g_26
        0L, // p_699->g_28
        0x5A27557BL, // p_699->g_29
        0UL, // p_699->g_57
        {{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}},{{8L,(-1L),8L,8L,(-1L),8L,8L}}}, // p_699->g_71
        0x4FL, // p_699->g_76
        {0x15B45A7EABDE2A9FL,0x04FBFD2E0221BC3FL,0x5514738EL,0x03F91D89L,1UL,3UL,0x5980190EL,0x1BL,0x0F62L}, // p_699->g_92
        0x65745E92913E687FL, // p_699->g_110
        8UL, // p_699->g_111
        {0xA754L}, // p_699->g_114
        5UL, // p_699->g_131
        0L, // p_699->g_134
        0x25780FFAL, // p_699->g_135
        {0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L,0x18DDEFA4L}, // p_699->g_147
        &p_699->g_147[2], // p_699->g_146
        (void*)0, // p_699->g_155
        {-7L}, // p_699->g_170
        {{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}},{{4L},{3L},{0x7785D073137E4E38L},{-9L}}}, // p_699->g_171
        {0UL,0UL,0UL,0UL,0UL,0UL,0UL,0UL,0UL}, // p_699->g_194
        &p_699->g_71[8][0][3], // p_699->g_198
        {&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198,&p_699->g_198}, // p_699->g_197
        {&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1],&p_699->g_197[1]}, // p_699->g_196
        {0x7314BEDBEB42813DL,0x608A64FEF692B22EL,0x942D218AL,-1L,0UL,0x5DF6F0190DC86090L,4UL,0x66L,0x6235L}, // p_699->g_200
        9UL, // p_699->g_221
        {{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL},{2UL,2UL,1UL,2UL}}, // p_699->g_237
        {3L}, // p_699->g_242
        0x1B4DL, // p_699->g_254
        {7L,0x33481153ED2F984FL,4294967294UL,0x38532D24L,0UL,2UL,4294967295UL,1UL,0x7916L}, // p_699->g_259
        &p_699->g_92.f7, // p_699->g_262
        &p_699->g_262, // p_699->g_261
        0x3F29B522L, // p_699->g_286
        {0L,1L,1UL,0x608C09B9L,18446744073709551615UL,18446744073709551615UL,0x1FD9708CL,1UL,0x1F46L}, // p_699->g_292
        {0x693732A9AE614FCBL,2L,1UL,0x5DEAEA00L,0xFEF3BAD6BF14D2F3L,0x729D05F50F75E8A3L,0xCA68B6D3L,0xCDL,0x3869L}, // p_699->g_305
        {-10L,7L,1UL,0L,0x44DA0CEF80577B84L,0x9844B00A795BF0C3L,0xF8778C23L,255UL,0x0C24L}, // p_699->g_368
        &p_699->g_368, // p_699->g_369
        {0L,1L,0UL,0x45560AA8L,0xAA157877EF40C75AL,18446744073709551615UL,4294967288UL,0UL,0x1DC0L}, // p_699->g_373
        {0x182184A584570570L,9L,0xE87B82B0L,0x36672551L,1UL,0x34A150D49B4F424DL,0x9D9854AEL,250UL,9L}, // p_699->g_374
        &p_699->g_259.f8, // p_699->g_388
        &p_699->g_388, // p_699->g_387
        &p_699->g_387, // p_699->g_386
        (void*)0, // p_699->g_398
        0x13L, // p_699->g_671
        0x586DD13DL, // p_699->g_690
        &p_699->g_690, // p_699->g_689
        255UL, // p_699->g_695
        sequence_input[get_global_id(0)], // p_699->global_0_offset
        sequence_input[get_global_id(1)], // p_699->global_1_offset
        sequence_input[get_global_id(2)], // p_699->global_2_offset
        sequence_input[get_local_id(0)], // p_699->local_0_offset
        sequence_input[get_local_id(1)], // p_699->local_1_offset
        sequence_input[get_local_id(2)], // p_699->local_2_offset
        sequence_input[get_group_id(0)], // p_699->group_0_offset
        sequence_input[get_group_id(1)], // p_699->group_1_offset
        sequence_input[get_group_id(2)], // p_699->group_2_offset
        l_atomic_input, // l_atomic_input
        l_special_values, // l_special_values
        g_atomic_input, // g_atomic_input
        g_special_values, // g_special_values
    };
    c_700 = c_701;
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    func_1(p_699);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    uint64_t crc64_context = 0xFFFFFFFFFFFFFFFFUL;
    int print_hash_value = 0;
    for (i = 0; i < 9; i++)
    {
        transparent_crc(p_699->g_19[i], "p_699->g_19[i]", print_hash_value);

    }
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 3; j++)
        {
            transparent_crc(p_699->g_27[i][j], "p_699->g_27[i][j]", print_hash_value);

        }
    }
    transparent_crc(p_699->g_28, "p_699->g_28", print_hash_value);
    transparent_crc(p_699->g_29, "p_699->g_29", print_hash_value);
    transparent_crc(p_699->g_57, "p_699->g_57", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 7; k++)
            {
                transparent_crc(p_699->g_71[i][j][k], "p_699->g_71[i][j][k]", print_hash_value);

            }
        }
    }
    transparent_crc(p_699->g_76, "p_699->g_76", print_hash_value);
    transparent_crc(p_699->g_92.f0, "p_699->g_92.f0", print_hash_value);
    transparent_crc(p_699->g_92.f1, "p_699->g_92.f1", print_hash_value);
    transparent_crc(p_699->g_92.f2, "p_699->g_92.f2", print_hash_value);
    transparent_crc(p_699->g_92.f3, "p_699->g_92.f3", print_hash_value);
    transparent_crc(p_699->g_92.f4, "p_699->g_92.f4", print_hash_value);
    transparent_crc(p_699->g_92.f5, "p_699->g_92.f5", print_hash_value);
    transparent_crc(p_699->g_92.f6, "p_699->g_92.f6", print_hash_value);
    transparent_crc(p_699->g_92.f7, "p_699->g_92.f7", print_hash_value);
    transparent_crc(p_699->g_92.f8, "p_699->g_92.f8", print_hash_value);
    transparent_crc(p_699->g_110, "p_699->g_110", print_hash_value);
    transparent_crc(p_699->g_111, "p_699->g_111", print_hash_value);
    transparent_crc(p_699->g_131, "p_699->g_131", print_hash_value);
    transparent_crc(p_699->g_134, "p_699->g_134", print_hash_value);
    transparent_crc(p_699->g_135, "p_699->g_135", print_hash_value);
    for (i = 0; i < 10; i++)
    {
        transparent_crc(p_699->g_147[i], "p_699->g_147[i]", print_hash_value);

    }
    transparent_crc(p_699->g_170.f0, "p_699->g_170.f0", print_hash_value);
    for (i = 0; i < 8; i++)
    {
        for (j = 0; j < 4; j++)
        {
            transparent_crc(p_699->g_171[i][j].f0, "p_699->g_171[i][j].f0", print_hash_value);

        }
    }
    for (i = 0; i < 9; i++)
    {
        transparent_crc(p_699->g_194[i], "p_699->g_194[i]", print_hash_value);

    }
    transparent_crc(p_699->g_200.f0, "p_699->g_200.f0", print_hash_value);
    transparent_crc(p_699->g_200.f1, "p_699->g_200.f1", print_hash_value);
    transparent_crc(p_699->g_200.f2, "p_699->g_200.f2", print_hash_value);
    transparent_crc(p_699->g_200.f3, "p_699->g_200.f3", print_hash_value);
    transparent_crc(p_699->g_200.f4, "p_699->g_200.f4", print_hash_value);
    transparent_crc(p_699->g_200.f5, "p_699->g_200.f5", print_hash_value);
    transparent_crc(p_699->g_200.f6, "p_699->g_200.f6", print_hash_value);
    transparent_crc(p_699->g_200.f7, "p_699->g_200.f7", print_hash_value);
    transparent_crc(p_699->g_200.f8, "p_699->g_200.f8", print_hash_value);
    transparent_crc(p_699->g_221, "p_699->g_221", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 4; j++)
        {
            transparent_crc(p_699->g_237[i][j], "p_699->g_237[i][j]", print_hash_value);

        }
    }
    transparent_crc(p_699->g_242.f0, "p_699->g_242.f0", print_hash_value);
    transparent_crc(p_699->g_254, "p_699->g_254", print_hash_value);
    transparent_crc(p_699->g_259.f0, "p_699->g_259.f0", print_hash_value);
    transparent_crc(p_699->g_259.f1, "p_699->g_259.f1", print_hash_value);
    transparent_crc(p_699->g_259.f2, "p_699->g_259.f2", print_hash_value);
    transparent_crc(p_699->g_259.f3, "p_699->g_259.f3", print_hash_value);
    transparent_crc(p_699->g_259.f4, "p_699->g_259.f4", print_hash_value);
    transparent_crc(p_699->g_259.f5, "p_699->g_259.f5", print_hash_value);
    transparent_crc(p_699->g_259.f6, "p_699->g_259.f6", print_hash_value);
    transparent_crc(p_699->g_259.f7, "p_699->g_259.f7", print_hash_value);
    transparent_crc(p_699->g_259.f8, "p_699->g_259.f8", print_hash_value);
    transparent_crc(p_699->g_286, "p_699->g_286", print_hash_value);
    transparent_crc(p_699->g_292.f0, "p_699->g_292.f0", print_hash_value);
    transparent_crc(p_699->g_292.f1, "p_699->g_292.f1", print_hash_value);
    transparent_crc(p_699->g_292.f2, "p_699->g_292.f2", print_hash_value);
    transparent_crc(p_699->g_292.f3, "p_699->g_292.f3", print_hash_value);
    transparent_crc(p_699->g_292.f4, "p_699->g_292.f4", print_hash_value);
    transparent_crc(p_699->g_292.f5, "p_699->g_292.f5", print_hash_value);
    transparent_crc(p_699->g_292.f6, "p_699->g_292.f6", print_hash_value);
    transparent_crc(p_699->g_292.f7, "p_699->g_292.f7", print_hash_value);
    transparent_crc(p_699->g_292.f8, "p_699->g_292.f8", print_hash_value);
    transparent_crc(p_699->g_305.f0, "p_699->g_305.f0", print_hash_value);
    transparent_crc(p_699->g_305.f1, "p_699->g_305.f1", print_hash_value);
    transparent_crc(p_699->g_305.f2, "p_699->g_305.f2", print_hash_value);
    transparent_crc(p_699->g_305.f3, "p_699->g_305.f3", print_hash_value);
    transparent_crc(p_699->g_305.f4, "p_699->g_305.f4", print_hash_value);
    transparent_crc(p_699->g_305.f5, "p_699->g_305.f5", print_hash_value);
    transparent_crc(p_699->g_305.f6, "p_699->g_305.f6", print_hash_value);
    transparent_crc(p_699->g_305.f7, "p_699->g_305.f7", print_hash_value);
    transparent_crc(p_699->g_305.f8, "p_699->g_305.f8", print_hash_value);
    transparent_crc(p_699->g_368.f0, "p_699->g_368.f0", print_hash_value);
    transparent_crc(p_699->g_368.f1, "p_699->g_368.f1", print_hash_value);
    transparent_crc(p_699->g_368.f2, "p_699->g_368.f2", print_hash_value);
    transparent_crc(p_699->g_368.f3, "p_699->g_368.f3", print_hash_value);
    transparent_crc(p_699->g_368.f4, "p_699->g_368.f4", print_hash_value);
    transparent_crc(p_699->g_368.f5, "p_699->g_368.f5", print_hash_value);
    transparent_crc(p_699->g_368.f6, "p_699->g_368.f6", print_hash_value);
    transparent_crc(p_699->g_368.f7, "p_699->g_368.f7", print_hash_value);
    transparent_crc(p_699->g_368.f8, "p_699->g_368.f8", print_hash_value);
    transparent_crc(p_699->g_373.f0, "p_699->g_373.f0", print_hash_value);
    transparent_crc(p_699->g_373.f1, "p_699->g_373.f1", print_hash_value);
    transparent_crc(p_699->g_373.f2, "p_699->g_373.f2", print_hash_value);
    transparent_crc(p_699->g_373.f3, "p_699->g_373.f3", print_hash_value);
    transparent_crc(p_699->g_373.f4, "p_699->g_373.f4", print_hash_value);
    transparent_crc(p_699->g_373.f5, "p_699->g_373.f5", print_hash_value);
    transparent_crc(p_699->g_373.f6, "p_699->g_373.f6", print_hash_value);
    transparent_crc(p_699->g_373.f7, "p_699->g_373.f7", print_hash_value);
    transparent_crc(p_699->g_373.f8, "p_699->g_373.f8", print_hash_value);
    transparent_crc(p_699->g_374.f0, "p_699->g_374.f0", print_hash_value);
    transparent_crc(p_699->g_374.f1, "p_699->g_374.f1", print_hash_value);
    transparent_crc(p_699->g_374.f2, "p_699->g_374.f2", print_hash_value);
    transparent_crc(p_699->g_374.f3, "p_699->g_374.f3", print_hash_value);
    transparent_crc(p_699->g_374.f4, "p_699->g_374.f4", print_hash_value);
    transparent_crc(p_699->g_374.f5, "p_699->g_374.f5", print_hash_value);
    transparent_crc(p_699->g_374.f6, "p_699->g_374.f6", print_hash_value);
    transparent_crc(p_699->g_374.f7, "p_699->g_374.f7", print_hash_value);
    transparent_crc(p_699->g_374.f8, "p_699->g_374.f8", print_hash_value);
    transparent_crc(p_699->g_671, "p_699->g_671", print_hash_value);
    transparent_crc(p_699->g_690, "p_699->g_690", print_hash_value);
    transparent_crc(p_699->g_695, "p_699->g_695", print_hash_value);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    if (!get_linear_global_id())
        for (i = 0 ; i < 98; i++)
            transparent_crc(p_699->g_special_values[i + 98 * get_linear_group_id()], "p_699->g_special_values[i + 98 * get_linear_group_id()]", print_hash_value);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    if (!get_linear_local_id())
        for (i = 0; i < 98; i++)
            transparent_crc(p_699->l_special_values[i], "p_699->l_special_values[i]", print_hash_value);
    result[get_linear_global_id()] = crc64_context ^ 0xFFFFFFFFFFFFFFFFUL;
}
